pro sipwii_get_data, instr


parent='http://beauty.nascom.nasa.gov/~ptg/SIPWorkII/data/'
if not keyword_set(instr) then instr='eit/195'
if not keyword_set(outdir) then $
   outdir=concat_dir(concat_dir('$SSWDB','sipwii'),instr)

if not file_exist(outdir) then begin
   box_message,['Output directory ' + outdir(0)  + ' does not exist...', $ 
                'Create it, then come back and try again...']
   return
endif

pref=strmid(instr,0,3)
inhttp=parent+instr+'/'
sock_list,inhttp,list
files=strextract(list,'HREF="','.fits') 
ffiles=strarrcompress(files)+'.fits'
ssbad=where(strpos(ffiles,pref) ne 0,bcnt)
if bcnt gt 0 then 	begin 
   box_message,['Problem with parsing ' + strtrim(bcnt,2) + ' files',$
   ffiles(ssbad),'Removing those from this list...']
   ss=indgen(n_elements(ffiles))
   ss=rem_elem(ss,ssbad)
   ffiles=ffiles(ss)
endif

if ffiles(0) eq '' then begin
   box_message,'nothing to transfer...'
   return
endif
 

sock_copy,inhttp+ffiles,out_dir=outdir,progress=(!d.name eq 'X')

stop
return
end



 
